// CurrLoc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCurrLoc recordset
#ifndef CURRLOC_H
#define CURRLOC_H

class CCurrLoc : public CRecordset
{
public:
	CCurrLoc(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CCurrLoc)

// Field/Param Data
	//{{AFX_FIELD(CCurrLoc, CRecordset)
	double	m_LONGITUDE;
	double	m_VELOCITY;
	CTime	m_DATE;
	double	m_STATE;
	double	m_nVehicleID;
	CString	m_sTime;
	double	m_LATITUDE;
	//}}AFX_FIELD


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCurrLoc)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

#endif
